class SysUsage

# class SysUsage | A class exposing system resources usage. More...
Full name | `TelEngine::SysUsage`
Definition | `#include <yateclass.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { WallTime, UserTime, KernelTime }

#### Public Static Methods

- static void init ()
- static u_int64_t startTime ()
- static u_int64_t usecRunTime (Type type = WallTime)
- static u_int64_t msecRunTime (Type type = WallTime)
- static u_int32_t secRunTime (Type type = WallTime)
- static double runTime (Type type = WallTime)

## Detailed Description

The SysUsage class allows collecting some statistics about engine's usage of system resources

enum Type { WallTime, UserTime, KernelTime } | ### Type

Type of time usage requested

void init () | ### init

[static]

Initialize the system start variable

u_int64_t startTime () | ### startTime

[static]

Get the wall time used as start for the usage time

Returns: Time of the first direct or implicit call of init()

u_int64_t usecRunTime (Type type = WallTime) | ### usecRunTime

[static]

Get the program's running time in microseconds

Parameters:

type | Type of running time requested

Returns: Time in microseconds since the start of the program

u_int64_t msecRunTime (Type type = WallTime) | ### msecRunTime

[static]

Get the program's running time in milliseconds

Parameters:

type | Type of running time requested

Returns: Time in milliseconds since the start of the program

u_int32_t secRunTime (Type type = WallTime) | ### secRunTime

[static]

Get the program's running time in seconds

Parameters:

type | Type of running time requested

Returns: Time in seconds since the start of the program

double runTime (Type type = WallTime) | ### runTime

[static]

Get the program's running time in seconds

Parameters:

type | Type of running time requested

Returns: Time in seconds since the start of the program

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.